Skip to main content
GET
/
workspaces
/
{id}
Get workspace
curl --request GET \
  --url https://productlane.com/api/v1/workspaces/{id}
{
  "workspace": {
    "id": "<string>",
    "name": "<string>",
    "domain": "<string>",
    "darkMode": true,
    "backgroundColor": "<string>",
    "darkModeBackgroundColor": "<string>",
    "textColor": "<string>",
    "darkModeTextColor": "<string>",
    "accentColor": "<string>",
    "darkModeAccentColor": "<string>",
    "accentTextColor": "<string>",
    "darkModeAccentTextColor": "<string>",
    "buttonTextColor": "<string>",
    "darkModeButtonTextColor": "<string>",
    "customDomain": "<string>",
    "logoLink": "<string>",
    "logoUrl": "<string>",
    "changelogPublic": true
  },
  "latestChangelog": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "isDeleted": true,
    "version": 123,
    "date": "2023-11-07T05:31:56Z",
    "published": true,
    "title": "<string>",
    "archived": true,
    "imageUrl": "<string>",
    "projectId": "<string>",
    "workspaceId": "<string>",
    "notes": "<unknown>"
  }
}

Path Parameters

id
string
required

Response

Successful response

workspace
object
required
latestChangelog
object
required